Subject: Re: bug#47275: Emacs 27.2 RC2 "make check" segv, infloop (Solaris 10 sparc)

From: Paul Eggert <[email-masked]>
Date: Sat, 25 Jun 2022 15:55:35 -0500

On 6/25/22 07:03, Lars Ingebrigtsen wrote:
> This was a year ago -- Paul, do you still see this in recent Emacs
> versions?  (I vaguely recall there being some Solaris-related fixes
> lately.)

I still see problems with Emacs master, yes. Build log attached. I had 
to control-C out of the lisp/eshell/esh-var-tests.log test since it 
seemed to be hung (Emacs had a subsidiary zombie process but didn't seem 
to be making any attempt to deal with it). The attached build log is 
relative to current Emacs master (commit 
4410f5d86997b6b238ff05c2ece338b28e1163b1).

I installed some patches in master to fix some of the issues I found, 
and the build log assumes those patches. If we want people to run and 
test Emacs 28 on Solaris we should fix at least the non-portable 
distribution tarball <https://bugs.gnu.org/56222> and the "find ... 
-path" portability bug 
<https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=b0ed2d1f46d27885a19ae6941b6ea5276f0050e0>.